html, head, body {
  margin: 0;
  padding: 0;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

* {
  box-sizing: border-box;
}

body {
  background-color: #efefef;
}

#root {
  margin: 0 auto;
  max-width: 960px;
  min-height: 100vh;
  border: 1px solid #ddd;
  background-color: white;
  
  display: grid; 
  grid-template-areas: 'header' 'content' 'footer';
  grid-template-rows: auto 1fr auto;
}

.header, .content {
  padding: 20px 20px;
}

.header {
  grid-area: header; 
  display: flex;
  gap: 20px;
  align-items: center;
  /* justify-content: space-between; */
}

img.logo {
  height: 42px;
}

span.title {
  font-size: 2em;
  font-weight: bold;
}

.content {
  grid-area: content;
}

.footer {
  grid-area: footer; 
  background-color: #ff4500;
  color: white;
  padding: 20px 20px;
  display: flex;
  justify-content: space-between;
}

.footer a {
  color: white;
  text-decoration: none;
  font-weight: 600;
}

.footer a:hover {
  color: black;
}

h2 {
  text-align: center;
}

.form-group {
  display: grid;
  grid-template-areas: 'label field';
  grid-template-columns: 150px 1fr;
  gap: 20px;
}

.form-group + .form-group {
  margin-top: 20px;
}

.form-group > label {
  grid-area: label;
  text-align: end;
}

.form-group > * {
  grid-area: field;
}

label {
  font-size: 0.9em;
  font-weight: 300;
}

.centered-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.text-orange {
  color: #ff4500;
}
